{% extends "base.html.j2" %}
{% block meta %}
<link rel="stylesheet" type="text/css" href="/static/css/media.css" />
<link rel="stylesheet" type="text/css" href="/static/css/dashboard.css" />
{% endblock %}

{% block content %}
    <div id="sticky_anchor"></div>
    <div id="account_scroll" class="block">
        <div class="page_loading light_blue"></div>
        <div class="inner_content">
            <div class="content">
                <ul class="user_menu menu">

                    <li class="border_color light_blue"><a href="{{url_for('panel_content')}}">Contenido</a></li>
                    {% if current_user.is_mod() %}
                    <li class="border_color light_blue"><a href="{{url_for('panel_mod')}}">Moderar</a></li>
                    {% endif %}
                    {% if current_user.is_admin() %}
                    <li class="border_color light_blue selected"><a href="{{url_for('panel_admin')}}">Administrar</a></li>
                    {% endif %}

                </ul>
            </div>
        </div>
    </div>

    <div class="account_page_data">
        <div class="inner_block">
            <div class="inner_content">
                <div class="content">
                    <div class="title_header">
                        <div class="title_group">

                            <h2>Usuarios</h2>

                            <div>
                                <h3 class="scroll border_color light_blue {% if status == "activos" %}on{% endif %}">
                                    <a href="{{url_for('panel_admin', status='activos')}}">Activos <span class="color light_blue">{{active_users_len}}</span></a>
                                </h3>
                                <h3 class="scroll border_color light_blue {% if status == "silenciados" %}on{% endif %}">
                                    <a href="{{url_for('panel_admin', status='silenciados')}}">Reportados <span class="color light_blue">{{silenced_users_len}}</span></a>
                                </h3>
                                <h3 class="scroll border_color light_blue {% if status == "suspendidos" %}on{% endif %}">
                                    <a href="{{url_for('panel_admin', status='suspendidos')}}">Suspendidos <span class="color light_blue">{{suspended_users_len}}</span></a>
                                </h3>
                            </div>
                        </div>
                    </div>

                    <div class="items_wrapper">
                        <br>
                        {% if users | length < 1 %}
                        <p>¿Qué tal un descanso?</p>
                        {% else %}
                        <div class="results_page">

                            {% for user in users %}

                            <div class="card v4">
                                <div class="image">
                                    <div class="poster">
                                        <a href="{{url_for('profile', username=user.username)}}">
                                        <img
                                        class="poster fade lazyautosizes lazyloaded users"
                                        src="{{user.avatar(150)}}"
                                        title="{{user.username}}">
                                        </a>
                                    </div>
                                </div>

                                <div class="details">
                                    <div class="flex_space_between">
                                        <div class="wrapper">
                                        <div class="title">
                                            <h2>{{user.username}} ({{user.email}})

                                            {% if user.is_admin() or user.is_mod()%}
                                            [<span class="admin_user">{{user.profile}}</span>]
                                            {% else %}
                                            [<span class="normal_user">{{user.profile}}</span>]
                                            {% endif %}

                                            </h2>
                                        </div>
                                        <span class="release_date">
                                            {% if user.confirmed %}
                                            Miembro desde {{user.member_since()}}
                                            {% else  %}
                                            Miembro <u>sin verificar</u>
                                            {% endif %}
                                        </span>
                                    </div>

                                        <div class="overview true" style="word-wrap: break-word;">
                                            {% if user.confirmed %}
                                            <p>Última conexión: {{user.last_seen_since()}}</p>
                                            {% endif %}
                                            <p>{{user.about_me|truncate(330)}}</p>
                                        </div>
                                    </div>

                                    <div class="action_bar">
                                        <ul>
                                            <li><a class="list_item_rating" href="#">
                                                <span class="glyphicons glyphicons-play"></span> Silenciar
                                            </a></li>
                                            <li><a class="publish_list_item" href="#">
                                                <span class="glyphicons glyphicons-send"></span> Suspender
                                            </a></li>
                                            <li><a class="remove_list_item" href="{{url_for('profile', username=user.username, action='eliminar')}}">
                                                <span class="glyphicons glyphicons-remove"></span> Eliminar
                                            </a></li>
                                            <li><a class="edit_list_item" href="{{url_for('profile', username=user.username, action='editar')}}">
                                                <span class="glyphicons glyphicons-pencil"></span> Editar
                                            </a></li>
                                        </ul>
                                    </div>

                                </div>

                            </div>

                            {% endfor %}
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
